Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.personalization
Class PznRequestObjectImplementor

    java.lang.Object
      com.ibm.websphere.personalization.PznRequestObjectImplementor

All Implemented Interfaces:
  PznRequestObjectInfoInterface, PznRequestObjectInterface, java.io.Serializable

Direct Known Subclasses:
  PznPortletRequestObjectImplementor

    public class PznRequestObjectImplementor

extends java.lang.Object
implements PznRequestObjectInterface, PznRequestObjectInfoInterface, java.io.Serializable

This object acts as a simulated request object for Personalization API calls when an instance of HttpServletRequest or PortletRequest is not available.

This class internally references Maps to store attribute names and values.

See Also:
  `ContentSpot.ContentSpot(String, Object)`, `RuleTrigger.setRequest(PznPortletRequestObjectInterface)`, Serialized Form

Constructor Summary
`PznRequestObjectImplementor()`

Method Summary
`boolean` | `addCookie(javax.servlet.http.Cookie cookie)`
`java.lang.String` | `getContextPath()`
`javax.servlet.http.Cookie` | `getCookie(java.lang.String cookieName)`
`javax.servlet.http.Cookie[]` | `getCookies()`
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getRemoteHost()`
`java.lang.String` | `getRemoteUser()`
`java.lang.Object` | `getRequestAttribute(java.lang.String itemName)`
`java.util.Enumeration` | `getRequestAttributeNames()`
`java.lang.String` | `getRequestInfo()`
`java.lang.String` | `getRequestParameter(java.lang.String itemName)`
`java.util.Enumeration` | `getRequestParameterNames()`
`java.lang.String[]` | `getRequestParameterValues(java.lang.String itemName)`
`com.ibm.websphere.personalization.resources.ResourceContext` | `getResourceContext()` Deprecated.
`java.lang.String` | `getServerName()`
`java.lang.Object` | `getSessionAttribute(java.lang.String itemName)`
`java.util.Enumeration` | `getSessionAttributeNames()`
`java.lang.String` | `getSessionInfo()`
`java.lang.String` | `getUserPrincipal()`
`void` | `removeRequestAttribute(java.lang.String itemName)`
`void` | `removeSessionAttribute(java.lang.String itemName)`
`boolean` | `setContextPath(java.lang.String contextPath)`
`boolean` | `setLocale(java.util.Locale locale)`
`boolean` | `setRemoteHost(java.lang.String hostName)`
`boolean` | `setRemoteUser(java.lang.String userName)`
`void` | `setRequestAttribute(java.lang.String itemName, java.lang.Object itemValue)`
`boolean` | `setRequestParameter(java.lang.String itemName, java.lang.String itemValue)`
`boolean` | `setRequestParameterValues(java.lang.String itemName, java.lang.String[] itemValues)`
`boolean` | `setServerName(java.lang.String serverName)`
`boolean` | `setSessionAttribute(java.lang.String itemName, java.lang.Object itemValue)`
`boolean` | `setUserPrincipal(java.lang.String userPrincipal)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PznRequestObjectImplementor

    public PznRequestObjectImplementor()

Method Detail

### getRequestInfo

    public java.lang.String getRequestInfo()

  Specified by:
    `getRequestInfo` in interface `PznRequestObjectInfoInterface`

### getSessionInfo

    public java.lang.String getSessionInfo()

  Specified by:
    `getSessionInfo` in interface `PznRequestObjectInfoInterface`

### getRequestAttribute

    public java.lang.Object getRequestAttribute(java.lang.String itemName)

  Specified by:
    `getRequestAttribute` in interface `PznRequestObjectInterface`

### setRequestAttribute

    public void setRequestAttribute(java.lang.String itemName,
                                    java.lang.Object itemValue)

  Specified by:
    `setRequestAttribute` in interface `PznRequestObjectInterface`

### removeRequestAttribute

    public void removeRequestAttribute(java.lang.String itemName)

  Specified by:
    `removeRequestAttribute` in interface `PznRequestObjectInterface`

### getRequestAttributeNames

    public java.util.Enumeration getRequestAttributeNames()

  Specified by:
    `getRequestAttributeNames` in interface `PznRequestObjectInterface`

### getRequestParameter

    public java.lang.String getRequestParameter(java.lang.String itemName)

  Specified by:
    `getRequestParameter` in interface `PznRequestObjectInterface`

### setRequestParameter

    public boolean setRequestParameter(java.lang.String itemName,
                                       java.lang.String itemValue)

  Specified by:
    `setRequestParameter` in interface `PznRequestObjectInterface`

### getRequestParameterNames

    public java.util.Enumeration getRequestParameterNames()

  Specified by:
    `getRequestParameterNames` in interface `PznRequestObjectInterface`

### getRequestParameterValues

    public java.lang.String[] getRequestParameterValues(java.lang.String itemName)

  Specified by:
    `getRequestParameterValues` in interface `PznRequestObjectInterface`

### setRequestParameterValues

    public boolean setRequestParameterValues(java.lang.String itemName,
                                             java.lang.String[] itemValues)

  Specified by:
    `setRequestParameterValues` in interface `PznRequestObjectInterface`

### getSessionAttribute

    public java.lang.Object getSessionAttribute(java.lang.String itemName)

  Specified by:
    `getSessionAttribute` in interface `PznRequestObjectInterface`

### setSessionAttribute

    public boolean setSessionAttribute(java.lang.String itemName,
                                       java.lang.Object itemValue)

  Specified by:
    `setSessionAttribute` in interface `PznRequestObjectInterface`

### removeSessionAttribute

    public void removeSessionAttribute(java.lang.String itemName)

  Specified by:
    `removeSessionAttribute` in interface `PznRequestObjectInterface`

### getSessionAttributeNames

    public java.util.Enumeration getSessionAttributeNames()

  Specified by:
    `getSessionAttributeNames` in interface `PznRequestObjectInterface`

### getRemoteUser

    public java.lang.String getRemoteUser()

  Specified by:
    `getRemoteUser` in interface `PznRequestObjectInterface`

### setRemoteUser

    public boolean setRemoteUser(java.lang.String userName)

  Specified by:
    `setRemoteUser` in interface `PznRequestObjectInterface`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `PznRequestObjectInterface`

### setLocale

    public boolean setLocale(java.util.Locale locale)

  Specified by:
    `setLocale` in interface `PznRequestObjectInterface`

### getContextPath

    public java.lang.String getContextPath()

  Specified by:
    `getContextPath` in interface `PznRequestObjectInterface`

### setContextPath

    public boolean setContextPath(java.lang.String contextPath)

  Specified by:
    `setContextPath` in interface `PznRequestObjectInterface`

### getRemoteHost

    public java.lang.String getRemoteHost()

  Specified by:
    `getRemoteHost` in interface `PznRequestObjectInterface`

### setRemoteHost

    public boolean setRemoteHost(java.lang.String hostName)

### getServerName

    public java.lang.String getServerName()

  Specified by:
    `getServerName` in interface `PznRequestObjectInterface`

### setServerName

    public boolean setServerName(java.lang.String serverName)

### getCookies

    public javax.servlet.http.Cookie[] getCookies()

  Specified by:
    `getCookies` in interface `PznRequestObjectInterface`

### addCookie

    public boolean addCookie(javax.servlet.http.Cookie cookie)

  Specified by:
    `addCookie` in interface `PznRequestObjectInterface`

### getCookie

    public javax.servlet.http.Cookie getCookie(java.lang.String cookieName)

  Specified by:
    `getCookie` in interface `PznRequestObjectInterface`

### getResourceContext

    public com.ibm.websphere.personalization.resources.ResourceContext getResourceContext()

  Deprecated.

  Specified by:
    `getResourceContext` in interface `PznRequestObjectInterface`

### getUserPrincipal

    public java.lang.String getUserPrincipal()

  Specified by:
    `getUserPrincipal` in interface `PznRequestObjectInterface`

### setUserPrincipal

    public boolean setUserPrincipal(java.lang.String userPrincipal)

  Specified by:
    `setUserPrincipal` in interface `PznRequestObjectInterface`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD